Subject: Re: WG review: Layer 2 Virtual Private Networks (l2vpn)

From: Yakov Rekhter <[email-masked]>
Date: Wed, 25 Jun 2003 13:36:43 -0700

Pekka,

[clipped...]

> > From your message, I can't tell which of those, or of any number of other 
> > possible objections, is the basis of your objection.
> > 
> > BTW - all these things were already being worked on in PPVPN. Some were 
> > even described in the charter.
> 
> Fair question, I probably should have included more text in the first 
> place :-).
> 
> 1. Virtual Private LAN Service.  This is Internet-wise ethernet bridging
> over routing protocols such as BGP, IS-IS, etc; further, this has
> typically little respect for security implications which are implicit (or 
> even explicit) in LAN networks.
> 
> So, my main points are:
> 
>  - we must not overload routing protocols and such infrastructure (IMHO,
> this seems an inevitable path the work would go towards..)
> 
>  - we must not create complexity by deploying ethernet bridging all over
> the Internet.  Our work should be focused on making IP work, not
> specifying Ethernet-over-IP (or worse, Ethernet-over-IP as a *service*).

The proposed charter talks about VPLS "across an IP and an MPLS-enabled
IP network". Such a network does not have to be the Internet.

Yakov.

---

From: Pekka Savola <[email-masked]>
Date: Wed, 25 Jun 2003 23:52:18 +0300 (EEST)

> IP network". Such a network does not have to be the Internet.

Of course; but I think it is reasonable to assume that in most cases it 
is.

Also, remember where the I in IETF comes from.  That's what our main focus 
should be at.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings